#include <bits/stdc++.h>

using namespace std;

int n, k, ka[1000];
vector<int> b;
set<int> ans;
int main()
{
    cin >> n >> k;
    for (int i = 0; i < k; i++)
    {
        cin >> ka[i];
    }
    sort(ka, ka + k);
    int uk = 0;
    for (int i = 1; i <= n; i++)
    {
        if (i == ka[uk])
        {
            uk++;
        }
        else
            b.push_back(i);
    }
    for (int i = 0; i < b.size(); i++)
    {
        for (int j = i; j < b.size(); j++)
            ans.insert(b[i] + b[j]);
    }
    cout << ans.size();
    return 0;
}
